/* *****************************************************************
| Rate It !																	|
| By : Groutcho (Sebastien Guimmara) 										|
| Version : 1.1													|
| Compatible with: 3ds max 9+										|
|																				|
|  Please save your work before using the script.							|
|  Suggestions or bug report :	groutcho.cg@free.fr						|
******************************************************************/

/******************************************************************
| Added :
| 	- Annotation Mode
| 	- Multiple snapshots with the snapshot button
******************************************************************/

(	
	scriptFolder = pathConfig.removePathLeaf (getSourceFileName())
	mediaFolder = scriptFolder + "\\media\\"
		
	include "$scripts/RateIt/RateIt.variables.ms"
	include "$scripts/RateIt/RateIt.rollouts.ms"
	include "$scripts/RateIt/RateIt.annotations.ms"
	include "$scripts/RateIt/RateIt.display.ms"
	include "$scripts/RateIt/RateIt.objectManagement.ms"
	include "$scripts/RateIt/RateIt.rating.ms"
	include "$scripts/RateIt/RateIt.externalFiles.ms"
	include "$scripts/RateIt/RateIt.openClose.ms"

-- 	include "RateIt.variables.ms"
-- 	include "RateIt.rollouts.ms"
-- 	include "RateIt.annotations.ms"
-- 	include "RateIt.display.ms"
-- 	include "RateIt.objectManagement.ms"
-- 	include "RateIt.rating.ms"
-- 	include "RateIt.externalFiles.ms"
-- 	include "RateIt.openClose.ms"

	displayRollout rlt_startup
) -- script scope