-- # Rating
(
	function validateCurrentObject obj state =
	(
		case state of
		(
			true: setuserprop obj "RateItValidation" "Accepted"
			false:setuserprop obj "RateItValidation" "Rejected"
		)
		append ratedObjects obj
		takeSnapshot()
	)

	function resetRatings =
	(
		if (queryBox "Are you sure you want to reset ALL ratings of current scene ?") then
		(
			for obj in geometry do
			(
				setuserProp obj "RateItValidation" "undefined"
				setuserProp obj "RateItRating" "undefined"
			)
			updateRatingDisplay undefined
		)
	)

	function commentCurrentObject obj text =
	setuserprop obj "RateItComment" text
	
	function getCurrentObjectRating obj =
	(
		rating =	getuserprop obj "RateItRating"
		updateRatingDisplay rating	
	)
	
	function rateCurrentObject obj rating =
	(	
		updateRatingDisplay rating		
		setuserprop obj "RateItRating" rating
	)
	
	function updateRatingDisplay rating=
	(
		case rating of 
		(
			1:(
					rlt_RateIt.btn_ratingPlus1.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus2.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus3.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus4.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus5.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
				)
			2:(
					rlt_RateIt.btn_ratingPlus1.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus2.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus3.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus4.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus5.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
				)                                           
			3:(
					rlt_RateIt.btn_ratingPlus1.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus2.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus3.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus4.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus5.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
				)                                           
			4:(
					rlt_RateIt.btn_ratingPlus1.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus2.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus3.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus4.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus5.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
				)
			5:(
					rlt_RateIt.btn_ratingPlus1.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus2.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus3.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus4.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus5.images = #(mediaFolder + "btn_rating_full.gif", undefined, 1,1,1,1,1 )
				)
				undefined:(
					rlt_RateIt.btn_ratingPlus1.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus2.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus3.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus4.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
					rlt_RateIt.btn_ratingPlus5.images = #(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 )
				)
		)
	)
)