-- # Rollouts	
rollout rlt_comments "Comments" width:200 height:320
(
	button btn_saveComment "Save" pos:[6,295] width:72 height:22
	button btn_cancelComment "Cancel" pos:[125,295] width:72 height:22
	dotNetControl tb_comments "system.windows.forms.textBox" width:190 height:285 pos:[5,5]
	
	on btn_saveComment pressed  do
	(
		commentCurrentObject currentObject (tb_comments.text as string)
		destroyDialog rlt_comments
	)
	
	on btn_cancelComment pressed  do
		destroyDialog rlt_comments
	
	on rlt_comments open do
	(
		tb_comments.multiLine=true
		sb=dotNetClass "System.Windows.Forms.ScrollBars"
		tb_comments.scrollBars=sb.vertical
		tb_comments.acceptsReturn=true
		tb_comments.acceptsTab=true
		tb_comments.wordWrap=true
		tb_comments.focus()
	)
)
	
rollout rlt_RateIt "RateIt! Beta" width:505 height:80
(
	button btn_invalidate "Invalidate" pos:[5,5] width:65 height:65		images:#(mediaFolder + "btn_invalidate.gif", undefined, 1,1,1,1,1 ) toolTip:"Refuse validation for this object !"
	button btn_validate "Validate" pos:[220,5] width:65 height:65	 		images:#(mediaFolder + "btn_validate.gif", undefined, 1,1,1,1,1 ) toolTip:"Validate this object !"
	button btn_ratingPlus1 "1" pos:[70,40] width:30 height:30		 		images:	#(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 ) toolTip:"Rate it 1 stars !"
	button btn_ratingPlus2 "2" pos:[100,40] width:30 height:30	 		images:	#(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 ) toolTip:"Rate it 2 stars !"
	button btn_ratingPlus3 "3" pos:[130,40] width:30 height:30	 		images:	#(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 ) toolTip:"Rate it 3 stars !"
	button btn_ratingPlus4 "4" pos:[160,40] width:30 height:30	 		images:	#(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 ) toolTip:"Rate it 3 stars !"
	button btn_ratingPlus5 "5" pos:[190,40] width:30 height:30	 		images:	#(mediaFolder + "btn_rating_empty.gif", undefined, 1,1,1,1,1 ) toolTip:"Rate it five stars !"
	button btn_nextItem "Next" pos:[145,5] width:75 height:35	 		images:	#(mediaFolder + "btn_next.gif", undefined, 1,1,1,1,1 ) toolTip:"Next object !"
	button btn_previousItem "Previous" pos:[70,5] width:75 height:35 	images:#(mediaFolder + "btn_previous.gif", undefined, 1,1,1,1,1 ) toolTip:"Previous object !"
	button btn_snapshot "Snapshot" pos:[285,5] width:65 height:65		images:#(mediaFolder + "btn_snapshot.gif", undefined, 1,1,1,1,1 ) toolTip:"Previous object !"
	button btn_commentObject "Comment..." pos:[360,5] width:105 height:17
	button btn_resetRatings "Reset ratings...." pos:[360,56] width:105 height:17
	button btn_close "Exit" pos:[470,6] width:30 height:20
	label lbl_counter "99/99" pos:[470,33] width:35 height:16
	button btn_publishHMTL "Publish Review" pos:[360,22] width:105 height:17
	checkbutton ckb_annotationMode "Annotation mode..." pos:[360,39] width:105 height:17

	on btn_snapshot pressed do
		takeSnapshot()	
	on rlt_RateIt open do
		_RateItRollout = rlt_RateIt
	on btn_invalidate pressed do
		validateCurrentObject currentObject false
	on btn_validate pressed do
		validateCurrentObject currentObject true
	on btn_ratingPlus1 pressed do
		rateCurrentObject currentObject 1
	on btn_ratingPlus2 pressed do
		rateCurrentObject currentObject 2
	on btn_ratingPlus3 pressed do
		rateCurrentObject currentObject 3
	on btn_ratingPlus4 pressed do
		rateCurrentObject currentObject 4
	on btn_ratingPlus5 pressed do
		rateCurrentObject currentObject 5
	on btn_nextItem pressed do
		nextItem()
	on btn_previousItem pressed do
		previousItem()
	on btn_commentObject pressed do
	(
		if currentObject != undefined then
		(
			createDialog rlt_comments 200 320
			if (getUserProp currentObject "RateItComment") != undefined then
				rlt_comments.tb_comments.text = getUserProp currentObject "RateItComment"
		)
		else MessageBox
	)
	on btn_resetRatings pressed do
		resetRatings()
	on btn_close pressed do
		closeRateIt()
	on btn_publishHMTL pressed do
		createReviewFile itemsToRate
	on ckb_annotationMode changed state do
	(
		case state of
		(
		true:AnnotationMode true
		false:AnnotationMode false
		)
	)
)

rollout rlt_startup "RateIt! Beta" width:505 height:80
(
	label lbl1 "Welcome in Rate It! To begin evaluation, select the objects you wish to evaluate, then click \"Start\"." pos:[10,4] width:495 height:30
	button btn_start "Start !" pos:[150,30] width:180 height:40 images:#(mediaFolder + "btn_start.gif", undefined, 1, 1, 1, 1, 1)
	button btn_exit "Exit" pos:[465,52] width:36 height:24		
	
	on btn_start pressed do
	(
		if (maxfilepath != "") then
		(
			if (getItemsToRate()) then
			(				
				openRateIt()
			)
			else messageBox "Please select at least 1 geometry object !"
		)
		else messageBox "Please save your scene before using Rate It !"
	)
	on btn_exit pressed do
		closeRateIt()
)
